[arch-commits] Commit in gconf/repos (3 files)

Jan de Groot jgc at archlinux.org
Tue May 12 03:13:07 EDT 2009


    Date: Tuesday, May 12, 2009 @ 03:13:07
  Author: jgc
Revision: 39084

Merged revisions 39083 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/gconf/trunk

........
  r39083 | jgc | 2009-05-12 07:12:51 +0000 (Tue, 12 May 2009) | 2 lines
  
  upgpkg: gconf 2.26.1-2
      Fix assertion problems since the last update (Upstream bug 581880)
........

Added:
  gconf/repos/extra-x86_64/bug581880.patch
    (from rev 39083, gconf/trunk/bug581880.patch)
Modified:
  gconf/repos/extra-x86_64/	(properties)
  gconf/repos/extra-x86_64/PKGBUILD

-----------------+
 PKGBUILD        |    9 ++++++---
 bug581880.patch |   29 +++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+), 3 deletions(-)


Property changes on: gconf/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /gconf/trunk:1-38490
   + /gconf/trunk:1-39083

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-12 07:12:51 UTC (rev 39083)
+++ extra-x86_64/PKGBUILD	2009-05-12 07:13:07 UTC (rev 39084)
@@ -3,7 +3,7 @@
 
 pkgname=gconf
 pkgver=2.26.1
-pkgrel=1
+pkgrel=2
 pkgdesc="A configuration database system"
 arch=(i686 x86_64)
 license=('LGPL')
@@ -17,13 +17,15 @@
 	gconfpkg
 	gconf-reload.patch
 	xml-gettext-domain.patch
-	05_from_vuntz_gconf2-pk-default-path.patch)
+	05_from_vuntz_gconf2-pk-default-path.patch
+	bug581880.patch)
 md5sums=('1f35137836eec03fa7e901230200a34a'
          '240b473fa17b748fc9020caf372d936c'
          'b745f04b4121d8724c002b14a4c110b6'
          'cfcc8e15be7b8a48de4aa34336ff6090'
          '1c8a0eece8202c4c2fbba596fe0d9c67'
-         'd9a02aee25ec04f2340f4e98963aabb0')
+         'd9a02aee25ec04f2340f4e98963aabb0'
+	 '72a1d30da5b75ded6632d10e3e0433d3')
 
 build() {
   cd "${srcdir}/GConf-${pkgver}"
@@ -33,6 +35,7 @@
   patch -Np1 -i "${srcdir}/xml-gettext-domain.patch" || return 1
   # Patch from Ubuntu: change default path
   patch -Np1 -i "${srcdir}/05_from_vuntz_gconf2-pk-default-path.patch" || return 1
+  patch -Np0 -i "${srcdir}/bug581880.patch" || return 1
   libtoolize --force --copy || return 1
   aclocal || return 1
   autoconf || return 1

Copied: gconf/repos/extra-x86_64/bug581880.patch (from rev 39083, gconf/trunk/bug581880.patch)
===================================================================
--- extra-x86_64/bug581880.patch	                        (rev 0)
+++ extra-x86_64/bug581880.patch	2009-05-12 07:13:07 UTC (rev 39084)
@@ -0,0 +1,29 @@
+--- gconf/gconf-client.c.orig	2009-05-10 15:54:11.000000000 -0400
++++ gconf/gconf-client.c	2009-05-10 15:55:22.000000000 -0400
+@@ -1199,10 +1199,11 @@ gconf_client_key_is_writable (GConfClien
+ 
+   if (gconf_client_lookup (client, key, &entry))
+     {
+-      g_assert (entry != NULL);
+-
+-      trace ("CACHED: Checking whether key '%s' is writable", key);
+-      return gconf_entry_get_is_writable (entry);
++      if (entry != NULL)
++        {
++          trace ("CACHED: Checking whether key '%s' is writable", key);
++          return gconf_entry_get_is_writable (entry);
++        }
+     }
+   
+   trace ("REMOTE: Checking whether key '%s' is writable", key);
+@@ -1406,9 +1407,7 @@ gconf_client_get_default_from_schema (GC
+    */
+   if (gconf_client_lookup (client, key, &entry))
+     {
+-      g_assert (entry != NULL);
+-
+-      if (gconf_entry_get_is_default (entry))
++      if (entry != NULL && gconf_entry_get_is_default (entry))
+         {
+ 	  trace ("CACHED: Getting schema default for '%s'", key);
+ 



More information about the arch-commits mailing list